Skip to content

List subscriptions

GET
/products/{productId}/subscriptions
curl --request GET \
--url 'https://api.motenya.app/v1/products/example/subscriptions?status=trialing' \
--header 'Authorization: Bearer <token>'

Requires crm:read.

productId
required
string
>= 1 characters <= 64 characters
first

Page size, 1–100 (default 25).

integer
>= 1 <= 100

Page size, 1–100 (default 25).

after

The nextCursor of the previous page.

string
<= 500 characters

The nextCursor of the previous page.

status
string
Allowed values: trialing active past_due paused canceled
ended
Any of:
boolean

True: only ended; false: only current; omit for both.

contactId
string
>= 1 characters <= 64 characters
withClients
Any of:
boolean

With contactId: also the contact’s clients’ subscriptions (default true).

clientId
string
>= 1 characters <= 64 characters
storeId
string
>= 1 characters <= 64 characters

Success

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
>= 1 characters <= 64 characters
contact
required
object
id
required
string
>= 1 characters <= 64 characters
name
required
string | null
email
required
string | null
client
required
object
id
required
string
>= 1 characters <= 64 characters
name
required
string | null
email
required
string | null
catalogItemId
required
string | null
>= 1 characters <= 64 characters
storeId
required
string | null
>= 1 characters <= 64 characters
planName
required
string
status
required
string
Allowed values: trialing active past_due paused canceled
amount
required
string
currency
required
string
interval
required
string
Allowed values: day week month year
intervalCount
required
integer
monthlyAmount
required

Amount per month, for MRR.

string
seats
required
integer | null
startedAt
required
string
trialEndsAt
required
string | null
currentPeriodEnd
required
string | null
canceledAt
required
string | null
endsAt
required
string | null
ended
required
boolean
custom
required
object
key
additional properties
source
required
string
externalId
required
string | null
createdAt
required
string
updatedAt
required
string
key
additional properties
nextCursor
required

Pass as after for the next page; null on the last.

string | null

Example

{
"items": [
{
"status": "trialing",
"interval": "day"
}
]
}

Invalid request

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing, invalid, revoked or expired API key

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing scope, API turned off, published article without publish scope, or account suspended

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Not found, or outside the knowledge bases this key may use

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Slug or translation already exists

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rejected by validation (e.g. unknown language or category)

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rate limited; see Retry-After

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Internal error